curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/resolve_team \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_team_id": "clinic_123"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"region": "us",
"sandbox": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"production": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"integration_team_id": "<string>",
"environments": [
"production"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Team
Resolve Team
Look up a Junction team by your own integration team reference and retrieve its current settings.
POST
/
v1
/
org
/
{org_id}
/
resolve_team
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/resolve_team \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_team_id": "clinic_123"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"region": "us",
"sandbox": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"production": {
"lab_tests_patient_sms_communication_enabled": true,
"lab_tests_patient_email_communication_enabled": true,
"critical_result_notification_email": "jsmith@example.com",
"brand_information": {
"company_name": "<string>",
"company_website": "",
"support_email": "help@tryvital.io",
"support_contact": "",
"company_address": "",
"brand_color": ""
},
"logo_url": "<string>",
"reject_duplicate_connection": false,
"sdk_per_device_activity_timeseries": false,
"partial_webhooks_enabled": false,
"minor_ordering_enabled": false
},
"integration_team_id": "<string>",
"environments": [
"production"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/resolve_team \
--header 'Content-Type: application/json' \
--header 'X-Management-Key: <management-key>' \
--data '{
"integration_team_id": "clinic_123"
}'
Authorizations
Path Parameters
Body
application/json
Maximum string length:
256Response
Successful Response
Available options:
us, eu Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
production, sandbox Was this page helpful?